load('Figure3BCD_Data.mat')

%% plotting

idx1 = statTab.Drug=="DMSO"&statTab.CFZ==0;
idx2 = statTab.Drug=="DMSO"&statTab.CFZ==1;

% SUPP FIG 3A - bar chart cell size in DMSO+/-CFZ
temp1 = statTab.MedianSize(idx1,1); temp2 = statTab.MedianSize(idx2,1);
normSize = mean(temp1);
temp1 = temp1/normSize; temp2 = temp2/normSize;

figure; hold on
bar([1 2],[1, mean(temp2)])
scatter(1+randn(sum(idx1),1)*0.1, temp1, 6, 'k','filled')
scatter(2+randn(sum(idx2),1)*0.1, temp2, 6, 'k','filled')
errorbar(1, 1, std(temp1)/sqrt(sum(idx1))*tinv(0.975, sum(idx1)-1), 'ko')
errorbar(2, mean(temp2), std(temp2)/sqrt(sum(idx2))*tinv(0.975, sum(idx2)-1), 'ko')
ylabel('Cell Size (a.u.)'); set(gca,'xtick',1:2,'xticklabel',{'DMSO','CFZ'},'fontsize',14,'ytick',0:0.2:1.2); 

% SUPP FIG 3B - bar chart cell cycle stages
temp1 = statTab.Props(idx1,:); temp2 = statTab.Props(idx2,:);
temp1 = [temp1(:,1)+temp1(:,2) temp1(:,3) temp1(:,4)];
temp2 = [temp2(:,1)+temp2(:,2) temp2(:,3) temp2(:,4)];
figure; b= bar([mean(temp1); mean(temp2)], 'stacked'); box off
b(1).FaceColor='flat'; b(1).FaceColor=[1 1 1]; b(2).FaceColor=[.5 .5 .5]; b(3).FaceColor=[0 0 0]; ylim([0 1.1])
legend('G1','S','G2','location','southeastoutside'); set(gca,'xtick',1:2,'xticklabel',{'DMSO','CFZ'},'fontsize',14); 
ylabel('Proportion'); xlim([0 3])
